#include <windows.h>
#include "GpioLib.h"
 
int WINAPI WinMain(HINSTANCE hInstance,      ///< Handle to current instance.
                   HINSTANCE hPrevInstance,  ///< Handle to previous instance.
                   LPWSTR lpCmdLine,         ///< Pointer to command line.
                   int nCmdShow)             ///< Show state of window.
{
 	DWORD loopCount = 0;
	printf("Welcome to Toradex.\n");
	InitGPIOLib();							///< Initializes GPIO library.
	printf("Executing demo application to show GPIO as Output...\n");
	SetPinAltFn(133, -1, DIR_OUT);			///< Sets SODIMM Pin 133 as GPIO(-1) and set to Output.
	for (loopCount = 0; loopCount < 20; loopCount++)
	{
		SetPinLevel(133, FALSE);			///< Sets the logic level of SODIMM pin 133 to LOW.
		Sleep(500);
		SetPinLevel(133, TRUE);				///< Sets the logic level of SODIMM pin 133 to HIGH.
		Sleep(500);
	}
	DeInitGPIOLib();		///< Releases resources used by GPIO library and de-initializes GPIO library.
	printf("Press enter to exit the program.\n");
	getchar();
	return 0;
}
